local milkfarm = ...

-- register cattle farm
milkfarm:registerAssetId("models/milkfarm.fbx/Prefab/milkfarmPart", "MILKFARM_PREFAB")
milkfarm:registerAssetId("models/milkfarm.fbx/Prefab/Construction_Steps", "PREFAB_MILKFARM_CONSTRUCTION")


-- register cattle farm
milkfarm:register({
	DataType = "BUILDING",
	Id = "MILKFARM",
	Name = "MILKFARM_NAME",
	Description = "MILKFARM_DESC",
	BuildingType = "GENERAL",
	BuildingPartList = { "MILKFARM_PART" }
})

milkfarm:register({
	DataType = "BUILDING_PART",
	Id = "MILKFARM_PART",
	BuildingZone = { 12, 10 },
	ConstructionVisual = "PREFAB_MILKFARM_CONSTRUCTION",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "MILKFARM_PREFAB"
	},
	Cost = {
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 20 },
			{ Resource = "STONE", Quantity = 10 }
		}
	},
	BuildingFunction = {
		DataType = "BUILDING_FUNCTION_WORKPLACE",
		WorkerCapacity = 2,
		RelatedJob = { 
			Job = "COW_MILKER",
			Behavior = "WORK_BEHAVIOR"
		},
		ResourceProduced = {
			{ Resource = "MILK", Quantity = 1 }
		}
	}
})

-- register grass clearing area
milkfarm:registerPrefabComponent("models/milkfarm.fbx/Prefab/milkfarmPart", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = { 10, 8 }
})